import Component from '../../component.js'

export default class CoUxTab extends Component {
  constructor(parent) {
    let selector = 'ux-tab';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-tab/ux-tab.component.ts
  }
  get dataE2E() {
    let path = '//div[@data-e2e="ux-tab"]';
    return this.currentPath + path;
  }
  async isHidden() {
    return await (await $(this.dataE2E + '/self::div[@hidden]')).isExisting();
  }

}

  
